Bug 981842 - "Enable Mobile Broadband" fails to appear - Pantech UML290
"Enable Mobile Broadband" fails to appear - Pantech UML290
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
20
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-06 04:42 EDT by Henry Kroll
Modified: 2015-06-29 08:03 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:03:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henry Kroll 2013-07-06 04:42:35 EDT
Description of problem:

"Enable Mobile Broadband" does not appear in rawhide when plugging in Pantech UML290 broadband modem distributed by Verizon. This modem has worked "out of the box" on previous releases, including F15, 16, 17, and 18. The modem also still works with wvdial from the command line, so we haven't broken that yet...

Version-Release number of selected component (if applicable):
NetworkManager-0.9.9.0-5.git20130603.fc20.x86_64

Steps to Reproduce:
1. Plug in USB modem
2. Wait
3. Right-click on Network Manager icon

Actual results:
No option to enable/disable broadband connection. Broadband devices not showing up in menu. Not being detected?

Expected results:
UML290 ought to detect and show up as it has in previous releases.

Additional info:
# Manually configuring a Verizon broadband connection has no effect.

# I am trying out rawhide LXDE spin. Perhaps if I went back to my usual Gnome desktop it would work as it has in the past. I appear to be getting session errors.
Comment 1 Fedora End Of Life 2013-09-16 10:24:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Gayan Perera 2013-10-07 12:46:00 EDT
Its still there in FC 20 Alpha, where no mobile broadband option is available nor device is shown to select even if we run nm-connection-editor.
Comment 3 Claudio Saavedra 2013-10-21 04:26:30 EDT
I am also experiencing this issue. It used to work before I upgraded from 19 to 20.
Comment 4 Lucas Rocha 2013-11-08 05:55:18 EST
I had the very same issue. I got it working by manually enabling/starting the ModemManager service. The UI still shows Mobile Broadband as 'disabled' but I can still click on 'Connect'. So 'it works' for me, but in a kinda clunky way.
Comment 5 Claudio Saavedra 2013-11-12 14:14:17 EST
So after running

  # systemctl enable ModemManager.service 

current F20 shows again mobile broadband support in gnome shell's network manager. I suppose that at either at some point during the upgrade modem manager's service was disabled or that it's a new one and not enabled during the upgrade of the service or something like this.
Comment 6 Petr Břeň 2014-01-16 08:25:52 EST
Thank you.
I had the same issue after upgrading from F19 to F20 last week.
In my experience, 
# systemctl enable ModemManager.service
must be done on stable release of F20 as well.
Comment 7 Fedora End Of Life 2015-05-29 05:09:38 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-06-29 08:03:20 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.